Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.team.ui.synchronize
Class SynchronizeModelOperation

    java.lang.Object
      org.eclipse.core.runtime.jobs.JobChangeAdapter
          org.eclipse.team.ui.TeamOperation
              org.eclipse.team.ui.synchronize.SynchronizeModelOperation

All Implemented Interfaces:
  IJobChangeListener, IRunnableWithProgress

public abstract class SynchronizeModelOperation
extends TeamOperation

A specialized team operation that operates on `ISynchronizeModelElement`elements. If the operation is run in the background the elements the operation is created with will be updated to show that they are busy while the operation is running and will be marked un-busy after the operation completes.

Since:
  3.0
See Also:
  `SyncInfoSet`, `SynchronizeModelAction`

Constructor Summary
`protected` | `SynchronizeModelOperation(ISynchronizePageConfiguration configuration, IDiffElement[] elements)` Create an operation that will operate on the given diff elements.

Method Summary
`void` | `done(IJobChangeEvent event)` Notification that a job has completed execution, either due to cancelation, successful completion, or failure.
`protected SyncInfoSet` | `getSyncInfoSet()` Returns a sync info set that contains the `SyncInfo`for the elements of this operations.
`void` | `scheduled(IJobChangeEvent event)` Notification that a job is being added to the queue of scheduled jobs.

Methods inherited from class org.eclipse.team.ui.TeamOperation
`canRunAsJob, getGotoAction, getJobName, getKeepOperation, getOperationIcon, getPart, getSchedulingRule, getShell, isPostponeAutobuild, run, shouldRun`

Methods inherited from class org.eclipse.core.runtime.jobs.JobChangeAdapter
`aboutToRun, awake, running, sleeping`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.operation.IRunnableWithProgress
`run`

Constructor Detail

### SynchronizeModelOperation

    protected SynchronizeModelOperation(ISynchronizePageConfiguration configuration,
                                        IDiffElement[] elements)

  Create an operation that will operate on the given diff elements.

Parameters:
  `configuration` - the participant configuration in which this operation is run
  `elements` - the model elements this operation will run with

Method Detail

### getSyncInfoSet

    protected SyncInfoSet getSyncInfoSet()

  Returns a sync info set that contains the `SyncInfo`for the elements of this operations.

  Returns:
    the sync info set that contains the elements this operation is operating on.

### scheduled

    public void scheduled(IJobChangeEvent event)

  Description copied from interface: `IJobChangeListener`
  Notification that a job is being added to the queue of scheduled jobs. The event details includes the scheduling delay before the job should start running.

  Specified by:
    `scheduled` in interface `IJobChangeListener`
  Overrides:
    `scheduled` in class `JobChangeAdapter`

### done

    public void done(IJobChangeEvent event)

  Description copied from interface: `IJobChangeListener`
  Notification that a job has completed execution, either due to cancelation, successful completion, or failure. The event status object indicates how the job finished, and the reason for failure, if applicable.

  Specified by:
    `done` in interface `IJobChangeListener`
  Overrides:
    `done` in class `JobChangeAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.